<?php
/**
 * Body Classes.
 * @package Omega Blogger
 */

if (!function_exists('omega_blogger_body_classes')) :

    function omega_blogger_body_classes($omega_blogger_classes)
    {
        $omega_blogger_defaults = omega_blogger_get_default_theme_options();
        $omega_blogger_layout = omega_blogger_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $omega_blogger_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $omega_blogger_classes[] = $omega_blogger_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('omega_blogger_copyright_alignment', 'Default');
        $omega_blogger_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $omega_blogger_classes;
    }

endif;

add_filter('body_class', 'omega_blogger_body_classes');